Endpoint
Overview
Request a refund for an account. All refund requests require manual admin review.Request Body
string
required
ID of the account for the refund request
string
Reason for requesting a refund
Response
object
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl -X POST https://api.ugc.inc/billing/request-refund \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"account_id": "acc_123", "reason": "Not satisfied with service"}'
import { UGCClient } from 'ugcinc';
const client = new UGCClient({ apiKey: 'YOUR_API_KEY' });
const response = await client.billing.requestRefund({
account_id: 'acc_123',
reason: 'Not satisfied with service'
});
if (response.ok) {
console.log(response.data.message);
}
{
"ok": true,
"code": 200,
"message": "Success",
"data": {
"message": "Refund request submitted for review",
"request": {
"id": "req_125",
"org_id": "org_123",
"account_id": "acc_123",
"type": "refund",
"status": "pending",
"reason": "Not satisfied with service",
"created_at": "2025-01-15T10:00:00.000Z",
"resolved_at": null
}
}
}
Request a refund for an account
POST https://api.ugc.inc/billing/request-refund
curl -X POST https://api.ugc.inc/billing/request-refund \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"account_id": "acc_123", "reason": "Not satisfied with service"}'
import { UGCClient } from 'ugcinc';
const client = new UGCClient({ apiKey: 'YOUR_API_KEY' });
const response = await client.billing.requestRefund({
account_id: 'acc_123',
reason: 'Not satisfied with service'
});
if (response.ok) {
console.log(response.data.message);
}
{
"ok": true,
"code": 200,
"message": "Success",
"data": {
"message": "Refund request submitted for review",
"request": {
"id": "req_125",
"org_id": "org_123",
"account_id": "acc_123",
"type": "refund",
"status": "pending",
"reason": "Not satisfied with service",
"created_at": "2025-01-15T10:00:00.000Z",
"resolved_at": null
}
}
}
